# ``twisted`.`internet`.`interfaces`.`IMulticastTransport``

interface documentation

`class IMulticastTransport(Interface): (source)`

Known implementations: `twisted.internet.iocpreactor.udp.MulticastPort`, `twisted.internet.udp.MulticastPort`

View In Hierarchy

Additional functionality for multicast UDP.

Method | `getLoopbackMode` | Return if loopback mode is enabled.
Method | `getOutgoingInterface` | Return interface of outgoing multicast packets.
Method | `getTTL` | Get time to live for multicast packets.
Method | `joinGroup` | Join a multicast group. Returns `Deferred` of success or failure.
Method | `leaveGroup` | Leave multicast group, return `Deferred` of success.
Method | `setLoopbackMode` | Set if loopback mode is enabled.
Method | `setOutgoingInterface` | Set interface for outgoing multicast packets.
Method | `setTTL` | Set time to live on multicast packets.

def getLoopbackMode(): (source)
Return if loopback mode is enabled.

Returns
`bool` | Undocumented

def getOutgoingInterface(): (source)
Return interface of outgoing multicast packets.

Returns
`str` | Undocumented

def getTTL(): (source)
Get time to live for multicast packets.

Returns
`int` | Undocumented

def joinGroup(addr, interface): (source)

Join a multicast group. Returns `Deferred` of success or failure.

If an error occurs, the returned `Deferred` will fail with `error.MulticastJoinError`.

Parameters
addr:`str` | Undocumented
interface:`str` | Undocumented
Returns
`Deferred[None]` | Undocumented

def leaveGroup(addr, interface): (source)
Leave multicast group, return `Deferred` of success.

Parameters
addr:`str` | Undocumented
interface:`str` | Undocumented
Returns
`Deferred[None]` | Undocumented

def setLoopbackMode(mode): (source)
Set if loopback mode is enabled.

Parameters
mode:`bool` | Undocumented

def setOutgoingInterface(addr): (source)

Set interface for outgoing multicast packets.

Returns Deferred of success.

Parameters
addr:`str` | Undocumented

def setTTL(ttl): (source)
Set time to live on multicast packets.

Parameters
ttl:`int` | Undocumented